package com.cyksj.model.entity;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;

/**
 * @author chan
 * @date 2022/10/18 10:13 AM
 */
@Data
public class OrderDonWaybill extends BaseEntity{

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 物流公司简码
     */
    private String code;

    /**
     * 物流公司名称
     */
    private String codeCn;

    /**
     * 物流运单号
     */
    private String trackingNumber;

    private String remark;


    public void setCodeCn(String codeCn) {
        if (StringUtils.equals("中国 EMS",codeCn)){
            this.code = "china-ems";
        }
        if (StringUtils.equals("顺丰速运",codeCn)){
            this.code = "sf-express";
        }
        if (StringUtils.equals("申通快递",codeCn)){
            this.code = "sto";
        }
        if (StringUtils.equals("圆通快递",codeCn)){
            this.code = "yto";
        }
        if (StringUtils.equals("天天快递",codeCn)){
            this.code = "ttkd";
        }
        if (StringUtils.equals("中通快递",codeCn)){
            this.code = "zto";
        }
        if (StringUtils.equals("宅急送快递",codeCn)){
            this.code = "zjs-express";
        }
        if (StringUtils.equals("韵达快递",codeCn)){
            this.code = "yunda";
        }
        if (StringUtils.equals("全峰快递",codeCn)){
            this.code = "qfkd";
        }
        if (StringUtils.equals("国通快递",codeCn)){
            this.code = "cess";
        }
        if (StringUtils.equals("百世快递",codeCn)){
            this.code = "bestex";
        }
        if (StringUtils.equals("速尔快递",codeCn)){
            this.code = "sure56";
        }
        if (StringUtils.equals("快捷快递",codeCn)){
            this.code = "kjkd";
        }
        if (StringUtils.equals("优速快递",codeCn)){
            this.code = "uc-express";
        }
        if (StringUtils.equals("中国邮政",codeCn)){
            this.code = "china-post";
        }
        if (StringUtils.equals("德邦物流",codeCn)){
            this.code = "deppon";
        }
        if (StringUtils.equals("龙邦物流",codeCn)){
            this.code = "lbex";
        }
        if (StringUtils.equals("极兔速递",codeCn)){
            this.code = "jtexpress";
        }
        this.codeCn = codeCn;
    }

}
